package cn.efunbox.audio;

import cn.efunbox.audio.entity.Device;
import cn.efunbox.audio.plugin.AliStsOssAuth;
import cn.efunbox.audio.plugin.AliStsServiceSample;
import cn.efunbox.audio.service.DeviceService;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.UUID;

@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest
public class AudioApplicationTests {

	@Autowired
	private DeviceService deviceService;

	@Autowired
	private StringRedisTemplate stringRedisTemplate;

	@Autowired
	private AliStsOssAuth aliStsOssAuth;

	@Test
	public void contextLoads() {
		for(int i=0;i<10;i++){
			String uuid = UUID.randomUUID().toString().replaceAll("-", "");
			System.out.println(uuid);
		}
	}

	@Test
	public void register(){
		Device device = deviceService.Register(Long.valueOf(1), Long.valueOf(1));
		if(device==null){
			System.out.println("fail to register");
			return;
		}
		System.out.println(device.toString());

	}

	@Test
	public void aliAuth(){
		// 保存字符串
		stringRedisTemplate.opsForValue().set("aaa", "111");
		Assert.assertEquals("111", stringRedisTemplate.opsForValue().get("aaa"));
		System.out.println(stringRedisTemplate.opsForValue().get("aaa"));

//		AliStsServiceSample.Auth();
//		AliStsOssAuth auth = new AliStsOssAuth(stringRedisTemplate);
//		auth.Auth();

		aliStsOssAuth.Auth();
	}

}
